Redmine 0.9.4 not Working with Internet Explorer 7
Status: Closed Start date: 2010-05-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.9.4

Description

Hi,

I just updated from 0.8.5 to 0.9.4 and now I do not

see the Login Page in IE7 anymore. It works fine with Firefox 3.6.3.

The Page in IE7 only contains:

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<HTML><HEAD>

<META http-equiv=Content-Type content="text/html; charset=utf-8"></HEAD>

<BODY></BODY></HTML>

History

#1 - 2010-05-05 11:20 - Felix Schäfer

Please tell us more about your environment (see SubmittingBugs) and about how redmine is served. Please also have a look at your redmine logs

(should be REDMINE_DIR/logs/production.log) to see if there is any error. Did you have any caveats while updating?

#2 - 2010-05-05 11:49 - Sven Schuchmann

Hi,

redmine is running under a Suse Linux Enterprise Server Version SLES 10.3

Since I use the offical Release I think rake should be up to date (2.3.5)

ruby -v: ruby 1.8.7 (2008-08-11 patchlevel 72) [i586-linux]

rails -v: Rails 1.2.5

But I had to do a:

gem install rack -v 1.0.1

Here is the Log I get if IE7 Hits the first page:

Processing WelcomeController#index (for 192.168.1.22 at 2010-05-05 11:52:21) [GET]

  Parameters: {"action"=>"index", "controller"=>"welcome"}

  Setting Columns (1.0ms)   SHOW FIELDS FROM `settings`

  SQL (0.2ms)   SELECT max(`settings`.updated_on) AS max_updated_on FROM `settings`

  Setting Load (0.3ms)   SELECT * FROM `settings` WHERE (`settings`.`name` = 'rest_api_enabled') LIMIT 1

  AnonymousUser Columns (1.3ms)   SHOW FIELDS FROM `users`

  AnonymousUser Load (0.3ms)   SELECT * FROM `users` WHERE ( (`users`.`type` = 'AnonymousUser' ) ) LIMIT 1

  Setting Load (0.2ms)   SELECT * FROM `settings` WHERE (`settings`.`name` = 'login_required') LIMIT 1

Redirected to http://server.intranet.com:2002/login?back_url=http%3A%2F%2Fserver.intranet.com%3A2002%2F

Filter chain halted as [:check_if_login_required] rendered_or_redirected.

Completed in 16ms (DB: 3) | 302 Found [http://server.intranet.com/]

Processing AccountController#login (for 192.168.1.22 at 2010-05-05 11:52:21) [GET]

  Parameters: {"back_url"=>"http://server.intranet.com:2002/", "action"=>"login", "controller"=>"account"}

  SQL (0.2ms)   SELECT max(`settings`.updated_on) AS max_updated_on FROM `settings`

  AnonymousUser Load (0.2ms)   SELECT * FROM `users` WHERE ( (`users`.`type` = 'AnonymousUser' ) ) LIMIT 1

Rendering template within layouts/base

Rendering account/login

  Setting Load (0.3ms)   SELECT * FROM `settings` WHERE (`settings`.`name` = 'autologin') LIMIT 1

  Setting Load (0.2ms)   SELECT * FROM `settings` WHERE (`settings`.`name` = 'lost_password') LIMIT 1

  Setting Load (0.2ms)   SELECT * FROM `settings` WHERE (`settings`.`name` = 'app_title') LIMIT 1

  Setting Load (0.2ms)   SELECT * FROM `settings` WHERE (`settings`.`name` = 'ui_theme') LIMIT 1

  Setting Load (0.2ms)   SELECT * FROM `settings` WHERE (`settings`.`name` = 'text_formatting') LIMIT 1
  Setting Load (0.2ms)   SELECT * FROM `settings` WHERE (`settings`.`name` = 'self_registration') LIMIT 1

  Project Load (0.3ms)   SELECT `projects`.* FROM `projects` INNER JOIN `members` ON `projects`.id = `members`

.project_id WHERE ((`members`.user_id = 2) AND ((projects.status=1)))

Completed in 40ms (View: 33, DB: 2) | 200 OK [http://server.intranet.com/login?back_url=http%3A%2F%2Fserver.in

tranet.com%3A2002%2F]

#3 - 2010-05-05 12:00 - Felix Schäfer

Mmh, can't see anything wrong there. You run the migrations fine and restarted the redmine server afterwards?

Please also submit the output of ruby script/about RAILS_ENV=production run in your redmine directory.

#4 - 2010-05-05 12:12 - Sven Schuchmann

Hi,

ruby script/about RAILS_ENV=production

did not work out. It seems it always uses the development database. I defined it in database.yml and now I get:

About your application's environment

Ruby version              1.8.7 (i586-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /home/redmine_Intern094

Environment               development

Database adapter          mysql

Database schema version   20100221100219

#5 - 2010-05-05 12:19 - Felix Schäfer

Nothing strange there either… Can you reproduce this from another client? How do you serve redmine (mongrel, apache, passenger, …)?

#6 - 2010-05-05 12:59 - Sven Schuchmann

Tried on three IE7-Clients (even deleting Cookies, Temporary Files,...)

all do not work.

Also tried IE6, over here the Layout is a mess but I see the Login Page.

I start redmine with:

ruby /home/redmine_Intern094/script/server -e RM_Intern -p 2002 -d

 I even think because FireFox is working fine,

it shouldn't be an installation Problem, but

a bug inside the Code.

#7 - 2010-05-05 14:34 - Muntek Singh

Any particular reason you don't use IE 8?

I was unable to reproduce was with IE 6/7/8.

#8 - 2010-05-05 14:55 - Sven Schuchmann

Also tried with IE8 -> no success.

Just for fun tried with Opera, work also (like Firefox).

Very Strange thing, are there any logs

I could look at (I am not a ruby specialist)?

#9 - 2010-05-06 09:23 - Sven Schuchmann

- Status changed from New to Resolved
I did the update from scratch again and now it works...sorry!

#10 - 2010-05-06 09:25 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Cant reproduce

Glad to hear that.

#11 - 2010-08-31 10:42 - Sven Schuchmann

- Status changed from Closed to Reopened

Sorry to open this again,

I've got the same Problem after Updateing from 0.95 to 1.01.

The IE7 Login Page is empty (like descriped above).

I took an new Client with IE7 and FF.

The redmine LOG-File shows the same entrys when accessing

the first page from both browsers.

Does anyone have an idea?

#12 - 2010-08-31 17:07 - Muntek Singh

- Priority changed from Urgent to Normal

I am unable to reproduce this. Do you have any plugins installed? Can you try running the upgrades again? I would be surprised if this was a redmine

error, and not something with your environment or setup.

#13 - 2010-09-01 08:14 - Sven Schuchmann

Hi Muntek,

I agree with you. This Problem is really strange.

I do not have any plugins installed, I simply took

the release version 1.01, made the config, copied the /files directory,

and ran:

rake db:migrate RAILS_ENV=MY_DB

rake tmp:cache:clear

rake tmp:sessions:clear

With IE I can for example connect to www.redmine.org but

not to my server on http://192.168.100.242:2002/. Another thing

is that Firefox can connect to http://192.168.100.242:2002/.

On myserver IE display an empty page which looks like this

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<HTML><HEAD>

<META http-equiv=Content-Type content="text/html; charset=utf-8"></HEAD>

<BODY></BODY></HTML>

 So the big question is what is wrong on my setup, are there any other

LOGs I can look at?

#14 - 2010-09-07 10:07 - Sven Schuchmann

I did a little more research with Wireshark:

IE Requests:

GET / HTTP/1.1

Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-excel, application/vnd.ms-powe

rpoint, application/msword, application/x-shockwave-flash, application/x-ms-application, application/x-ms-xbap

, application/vnd.ms-xpsdocument, application/xaml+xml, */*

Accept-Language: de

UA-CPU: x86

Accept-Encoding: gzip, deflate
If-None-Match: "e411375f4ea0e8171bec5a8417736847" 

User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 2.0.50727; .NET CLR 1.1.4322; .NET CLR

 3.0.04506.648)

Host: server:2002

Connection: Keep-Alive

Cookie: phpbb3_niqy6_u=1; phpbb3_niqy6_k=; phpbb3_niqy6_sid=f6a56a62d6f5606ebfaf77af902e8dab

 and the server answers:

HTTP/1.1 304 Not Modified

Connection: close

Date: Tue, 07 Sep 2010 07:12:01 GMT

ETag: "e411375f4ea0e8171bec5a8417736847" 

X-Runtime: 21

Set-Cookie: _redmine_session=BAh7BjoPc2Vzc2lvbl9pZCIlY2Q2Njg0YjMxNTA3MmNhMmYyZTg1NTEyMDUxMWMwYjE%3D--71e0df963

3b26a2c04d2b4918563e0749bf0147e; path=/; HttpOnly

Cache-Control: private, max-age=0, must-revalidate

 Anyone knows something about HTTP/1.1 304 Not Modified ?

#15 - 2010-09-07 12:46 - Felix Schäfer

See http://en.wikipedia.org/wiki/List_of_HTTP_status_codes#3xx_Redirection for the 304.

In essence, IE tells the server "hey, the last time I visited that page, the ETAG was e411375f4ea0e8171bec5a8417736847, and I have that page in

cache", to what the server responds "rad, then I don't have anything new to send you, you already have the newest version of the page, kthxbye."

The only bizarre thing I can see in this trace is that your IE is sending phpbb cookies to redmine… Have you tried clearing the cache in IE?

#16 - 2010-09-10 12:33 - Sven Schuchmann

Okay, I checked again again on a freshly installed machine,

and on the very first request I can see in Wireshark that the complete page

is transmitted to IE.

But the displayed page is still empty! (as shown above)

This Problem is driving me mad...

#17 - 2013-01-15 10:32 - Jan Niggemann (redmine.org team member)

- Status changed from Reopened to Closed

Closing this, it's 2 years old and affecting both an ancient version of redmine and an ancient version of IE.
